<?php

use Illuminate\Http\Request;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

/*
Route::middleware('auth:api')->get('/user', function (Request $request) {
    return $request->user();
});
*/

Route::group(['middleware'=>['auth:api','role:reseller']], function() {
	Route::get('/r/agents','ResellerServicesController@agents');
	Route::get('/r/accounts','ResellerServicesController@accounts');
	Route::get('/r/clients','ResellerServicesController@clients');
	Route::get('/r/service_inactive','ResellerServicesController@service_inactive');
});

Route::group(['middleware'=>'auth:api'], function() {
	Route::get('/u/services/{o}','UserServicesController@services')
		->where('o','[0-9]+')
		->middleware('can:view,o');;
});